client
Update Webhook
PATCH
/
api
/
v1
/
client
/
webhooks
/
{public_id}
Update Webhook
curl --request PATCH \
--url https://api.emite.do/api/v1/client/webhooks/{public_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--header 'x-api-key: <x-api-key>' \
--data '
{
"url": "<string>",
"events": [
"<string>"
],
"is_active": true
}
'import requests
url = "https://api.emite.do/api/v1/client/webhooks/{public_id}"
payload = {
"url": "<string>",
"events": ["<string>"],
"is_active": True
}
headers = {
"x-api-key": "<x-api-key>",
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'x-api-key': '<x-api-key>',
'X-API-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({url: '<string>', events: ['<string>'], is_active: true})
};
fetch('https://api.emite.do/api/v1/client/webhooks/{public_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"public_id": "<string>",
"url": "<string>",
"events": [
"<string>"
],
"is_active": true,
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
API key de la empresa. Se muestra una sola vez al crearla.
Headers
Path Parameters
Body
application/json
⌘I
Update Webhook
